com.samsung.multiscreen

## Class Device

- java.lang.Object
- - com.samsung.multiscreen.Device

-     public class Device
      extends Object

  Encapsultes the device info for the underlying device backing a `Service`. Device information may be retrieved through the `Service.getDeviceInfo(Result)` method.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getCountryCode()` Returns the country code for this device.
    `String` | `getDescription()` Returns a description for this device.
    `String` | `getDuid()` Returns the device unique id.
    `String` | `getFirmwareVersion()` Returns the firmware version for this device.
    `String` | `getId()` Returns the id for this device.
    `String` | `getIp()` Returns the ip address for this device.
    `String` | `getModel()` Returns the model for this device.
    `String` | `getName()` Returns the name for this device.
    `String` | `getNetworkType()` Returns the network type this device is connected through.
    `String` | `getPlatform()` Returns platform name for this device.
    `String` | `getResolution()` Returns the resolution for this device.
    `String` | `getSsid()` Returns the ssid for this device.
    `String` | `getUdn()` Returns the unique device number for this device.
    `String` | `getWifiMac()` Returns wifi mac address for this device.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDuid

          public String getDuid()

      Returns the device unique id.

    - #### getModel

          public String getModel()

      Returns the model for this device.

    - #### getDescription

          public String getDescription()

      Returns a description for this device.

    - #### getNetworkType

          public String getNetworkType()

      Returns the network type this device is connected through.

    - #### getSsid

          public String getSsid()

      Returns the ssid for this device.

    - #### getIp

          public String getIp()

      Returns the ip address for this device.

    - #### getFirmwareVersion

          public String getFirmwareVersion()

      Returns the firmware version for this device.

    - #### getName

          public String getName()

      Returns the name for this device.

    - #### getId

          public String getId()

      Returns the id for this device.

    - #### getUdn

          public String getUdn()

      Returns the unique device number for this device.

    - #### getResolution

          public String getResolution()

      Returns the resolution for this device.

    - #### getCountryCode

          public String getCountryCode()

      Returns the country code for this device.

    - #### getPlatform

          public String getPlatform()

      Returns platform name for this device.

    - #### getWifiMac

          public String getWifiMac()

      Returns wifi mac address for this device.